%global modname dogpile.cache

Name:               python-dogpile-cache
Version:            0.5.7
Release:            %mkrel 1
Summary:            A caching front-end based on the Dogpile lock

Group:              Development/Python
License:            BSD
URL:                http://pypi.python.org/pypi/dogpile.cache
Source0:            http://pypi.python.org/packages/source/d/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python-devel
BuildRequires:      python-setuptools
BuildRequires:      python-nose
BuildRequires:      python-mock
BuildRequires:      python-dogpile-core >= 0.4.1

BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-nose
BuildRequires:      python3-mock
BuildRequires:      python3-dogpile-core >= 0.4.1

%description
A caching API built around the concept of a "dogpile lock", which allows
continued access to an expiring data value while a single thread generates
a new value.

dogpile.cache builds on the `dogpile.core
<http://pypi.python.org/pypi/dogpile.core>`_ locking system, which
implements the idea of "allow one creator to write while others read" in
the abstract.   Overall, dogpile.cache is intended as a replacement to the
`Beaker <http://beaker.groovie.org>`_ caching system, the internals of
which are written by the same author.   All the ideas of Beaker which
"work" are re-implemented in dogpile.cache in a more efficient and succinct
manner, and all the cruft (Beaker's internals were first written in 2005)
relegated to the trash heap.

%package -n python3-dogpile-cache
Summary:            A caching front-end based on the Dogpile lock
Group:              Development/Python

%description -n python3-dogpile-cache
A caching API built around the concept of a "dogpile lock", which allows
continued access to an expiring data value while a single thread generates
a new value.

dogpile.cache builds on the `dogpile.core
<http://pypi.python.org/pypi/dogpile.core>`_ locking system, which
implements the idea of "allow one creator to write while others read" in
the abstract.   Overall, dogpile.cache is intended as a replacement to the
`Beaker <http://beaker.groovie.org>`_ caching system, the internals of
which are written by the same author.   All the ideas of Beaker which
"work" are re-implemented in dogpile.cache in a more efficient and succinct
manner, and all the cruft (Beaker's internals were first written in 2005)
relegated to the trash heap.

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc README.rst LICENSE
%{python2_sitelib}/dogpile/cache/
%{python2_sitelib}/%{modname}-%{version}*

%files -n python3-dogpile-cache
%doc README.rst LICENSE
%{python3_sitelib}/dogpile/cache/
%{python3_sitelib}/%{modname}-%{version}-*


%changelog
* Mon Feb 15 2016 daviddavid <daviddavid> 0.5.7-1.mga6
+ Revision: 961223
- new version: 0.5.7
- use new python macros

* Sun Oct 11 2015 pterjan <pterjan> 0.5.5-1.mga6
+ Revision: 889620
- Update to 0.5.5

* Sat Oct 10 2015 tv <tv> 0.5.4-5.mga6
+ Revision: 888888
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.5.4-4.mga5
+ Revision: 743048
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.4-3.mga5
+ Revision: 728373
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.4-2.mga5
+ Revision: 688005
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 pterjan <pterjan> 0.5.4-1.mga5
+ Revision: 668494
- 0.5.4

* Fri Jun 27 2014 pterjan <pterjan> 0.5.3-1.mga5
+ Revision: 640190
- 0.5.3

* Sat May 31 2014 pterjan <pterjan> 0.5.0-2.mga5
+ Revision: 628616
- Rebuild for new Python

* Tue Dec 03 2013 pterjan <pterjan> 0.5.0-1.mga4
+ Revision: 554821
- imported package python-dogpile-cache


* Mon Sep 9 2013 Pádraig Brady <pbrady@redhat.com> - 0.5.0-1
- Update to 0.5.0 release

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 21 2013 Ralph Bean <rbean@redhat.com> - 0.4.2-1
- Upstream accepted async patches.
- Added BuildRequires on python-mock
- Restrict python-dogpile-core to newer version.
- Remove tests since they're kind of stochastic.

* Fri Jan 11 2013 Ralph Bean <rbean@redhat.com> - 0.4.1-2.20130111hg111
- Updated experimental async work.
- Actually require python-dogpile-core for install.

* Thu Jan 03 2013 Ralph Bean <rbean@redhat.com> - 0.4.1-1.20130103hg108
- Move to a post-release hg checkout.
- Experimenting with background value creation.
- Temporarily removed the CHANGES doc

* Tue Dec 18 2012 Ralph Bean <rbean@redhat.com> - 0.4.0-3
- Remove period from end of summary.

* Fri Dec 14 2012 Ralph Bean <rbean@redhat.com> - 0.4.0-2
- Disable tests on epel6.

* Tue Dec 11 2012 Ralph Bean <rbean@redhat.com> - 0.4.0-1
- Initial packaging for Fedora
